<h1>{{ user.user_text }}</h1>
<form method="post" action="#">
    {% csrf_token %}
    <input type="text" name="message">
    <input type="hidden" name="msgid" value={{ user.id }}>
    <button type="submit" name="newmsg">New Message</button>
</form>
<ul>
{% for message in user.message_set.all %}
    <li>{{ message.message_text }}</li>
    <form method="post" action="#">
        {% csrf_token %}
        {{form}}
        <input type="hidden" name="Id" value={{ message.id }}>
        <button type="submit" name="newcmt">New Comment</button>
    </form>
    {% for comment in message.comment_set.all %}
        <dt>{{ comment.comment_text }}</dt>
    {% endfor %}
    </br>
{% endfor %}
</ul>